package JavaProject.Gui;

import javax.swing.*;
import java.awt.*;

public class controlDisplay extends JPanel{
    
    /*******************************************************************
     * The buttons for the test. It somehow seemed a good idea to have *
     * them as a separate panel.                                       *
     *******************************************************************/
    
    private JButton quitButton, bailButton, nextButton;
    private JLabel filler;
    
    public controlDisplay(){
        setLayout(new GridBagLayout());
        setupComponents();
        addComponents();
        activate(false);
    }
    
    private void setupComponents(){
        quitButton = new JButton("Quit");
        bailButton = new JButton("Bail");
        nextButton = new JButton("Next");
        filler = new JLabel(" ");
    }
    
    private void addComponents(){
        JPanel p = this;
        addTool.add(p, quitButton, 0, 0, 1, 1, 0, 0, 0, 0, GridBagConstraints.NONE, GridBagConstraints.WEST);
        addTool.add(p, bailButton, 3, 0, 1, 1, 0, 0, 0, 0, GridBagConstraints.NONE, GridBagConstraints.WEST);
        addTool.add(p, nextButton, 4, 0, 1, 1, 0, 0, 0, 0, GridBagConstraints.NONE, GridBagConstraints.WEST);
        addTool.add(p, filler, 1, 0, 2, 1, 0.5, 0, 0, 0, GridBagConstraints.NONE, GridBagConstraints.WEST);
    }
    
    public JButton[] getButtons(){
        JButton[] temp = {quitButton, bailButton, nextButton};
        return temp;
    }
    
    public JPanel getControlDisplay(){
        return this;
    }
    
    public void activate(boolean on){ //prevents improper use.  This was more of a problem in the beta version
        bailButton.setEnabled(on);
        nextButton.setEnabled(on);
    }
    
    public void hideQuitButton(boolean web){
        quitButton.setVisible(web);
    }
}   