package JavaProject.Qeditor;

public class MultAnswerChecker{
    
    /*******************************************
     * This class is used to determine whether *
     * the answers selected by the user are    *
     * correct or not.  By using a checksum    *
     * approach, multiple correct answers are  *
     * supported.                              *
     *******************************************/
    
    private String actualChksm, userChksm;
    
    public MultAnswerChecker(boolean[] actualA, boolean[] userA){
        actualChksm = getChksm(actualA);
        userChksm = getChksm(userA);
    }
    
    public String getChksm(boolean[] answers){
        String temp = "";
        for(int i = 0; i < 4; i++){
            if(answers[i]){
                temp += "A";
            } else {
                temp += "B";
            }
        }
        return temp;
    }
    
    public boolean result(){
        return actualChksm.equals(userChksm);
    }
}