package JavaProject.Test;

import java.util.*;
import javax.swing.JLabel;
import java.text.NumberFormat;

public class clockE implements Runnable{
    
    /*********************************************************************************
     * This class handles the countdown clock and sets a flag in the User object if  *
     * zero is reached.  It also checks back with the User in case the test has been *
     * completed within the available time, resulting in the clock stopping.         *
     *********************************************************************************/
    
    private Calendar startTime, checkTime1, checkTime2;
    private boolean secs, loop;
    private JLabel l;
    private User user;
    private NumberFormat nf;
     
    public clockE(User user){
        this.user = user;
        int mins = user.getNumOfQuestions();
        loop = true;
        secs = true;
        startTime = Calendar.getInstance();
        startTime.set(Calendar.MINUTE, mins);
        startTime.set(Calendar.SECOND, 0);
        l = user.getGUI().getQDisplay().getTimeLabel();
        nf = NumberFormat.getInstance();
        nf.setMinimumIntegerDigits(2);
        nf.setMaximumFractionDigits(0);
    }
    
    public void run(){
            printTime();
            while(loop){
                checkTime1 = Calendar.getInstance();
                int i = checkTime1.get(Calendar.SECOND);
                while(secs){
                    checkTime2 = Calendar.getInstance();
                    int j = checkTime2.get(Calendar.SECOND);
                    if ((j - i) != 0){
                        startTime.add(Calendar.SECOND, -1);
                        printTime();
                        if (user.getEnd()){
                            loop = false;
                        }
                        if(startTime.get(Calendar.MINUTE) == 0){
                            if(startTime.get(Calendar.SECOND) == 0){
                                loop = false;
                            }   
                        }
                        secs = false;
                    }
                }
                secs = true;
            }
            user.setEnd();
    }
    
    public void printTime(){
        l.setText(nf.format(startTime.get(Calendar.MINUTE)) + ":" + nf.format(startTime.get(Calendar.SECOND)));
        user.nextSecond();
    } 
}