package JavaProject.Qeditor;

public class Question{
    
    /*****************************************
     * Question class used by both QEdit and *
     * TestSimulator.                        *
     *****************************************/
    
    private String questionText;
    private Answer[] answers;
    private Answer myAnswer;
    private int difficultyLevel;
    
    public Question(int i, String text, Answer[] ans){
        questionText = text;
        answers = ans;
        difficultyLevel = i;
    }
    
    public int getDifficulty(){return difficultyLevel;}
    public String getQuestion(){return questionText;}
    
    public String[] getAnswers(){
        String[] temp = new String[4];
        for(int i = 0 ; i < temp.length ; i++){
            myAnswer = answers[i];
            temp[i] = myAnswer.getText();
        }
        return temp;
    }
    
    public boolean[] getValidity(){
        boolean[] ansValid = new boolean[4];
        for (int i = 0 ; i < 4 ; i++){
            myAnswer = answers[i];
            ansValid[i] = myAnswer.getCorrect();
        }
        return ansValid;        
    }
}
