package JavaProject;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import JavaProject.Gui.*;

public class TestSimulator extends JFrame implements ActionListener{
    
    /**************************************************************************
     * A thoroughly boring class that provides a frame to launch the main Gui *
     * out of.  The application is built like this because I also wanted to   *
     * put it on a web page.                                                  *
     **************************************************************************/
    
    private JMenuBar mb;
    private JMenu menu;
    private JMenuItem about, quit;
    private JDialog aboutD;
    private JButton okButton;
    private String[] act = {"0", "1", "2"};
    
    public TestSimulator(){
        mb = new JMenuBar(); menu = new JMenu("Stuff");
        about = new JMenuItem("About");
        quit = new JMenuItem("Quit");
        menu.add(about); menu.addSeparator(); menu.add(quit);
        mb.add(menu);
        okButton = new JButton("  I see  ");
        setupAbout();
        setJMenuBar(mb);
        about.setActionCommand(act[0]);
        quit.setActionCommand(act[1]);
        okButton.setActionCommand(act[2]);
        about.addActionListener(this);
        quit.addActionListener(this);
        okButton.addActionListener(this);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        try{ // always defaults to the Look and Feel of the host platform
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (Exception e){}
        setTitle("The Java Testulator v1.03");
        getContentPane().add(new appGui(), BorderLayout.CENTER);
        setSize(480, 320); setVisible(true);
        aboutD.setVisible(true);
    }
    
    public static void main(String args[]){
        TestSimulator ts = new TestSimulator();
    }
    
    public void setupAbout(){
        aboutD = new JDialog(this, "About");
        String aText=("The Java Testulator v1.03\n" +
        "by david@pcmusic.co.za\n\n" + 
        "Special thanks to www.javacaps.com\n" + 
        "for providing a great resource of\n" + 
        "Java questions when I ran out.");
        JTextArea ta = new JTextArea(6,20);
        ta.setBackground(Color.gray);
        ta.setText(aText);
        Container c = aboutD.getContentPane();
        c.add(ta, BorderLayout.CENTER);
        c.add(okButton, BorderLayout.SOUTH);
        aboutD.pack();
    }

    
    public void actionPerformed(ActionEvent e){
        switch(Integer.parseInt(e.getActionCommand())){
            case 0:
                aboutD.setVisible(true);
                break;
            case 1:
                System.exit(0);
            case 2:
                aboutD.setVisible(false);
        }
    }
}